Bug 63351 - UI: UI: formula editor should use ZoomSlider
Summary: UI: UI: formula editor should use ZoomSlider
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium enhancement
Assignee: Thomas Arnhold
QA Contact:
URL:
Whiteboard: BSA target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-10 02:54 UTC by Thomas Arnhold
Modified: 2013-05-30 13:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
current: Only zoom information (5.70 KB, image/png)
2013-04-10 02:54 UTC, Thomas Arnhold
Details
calc: Uses ZoomSlider (7.13 KB, image/png)
2013-04-10 02:55 UTC, Thomas Arnhold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Arnhold 2013-04-10 02:54:37 UTC
Created attachment 77714 [details]
current: Only zoom information

The formula editor is not using the nice ZoomSlider like calc, impress, draw and writer do. This should be improved.

              
Operating System: All
Version: 4.1.0.0.alpha0+ Master
Comment 1 Thomas Arnhold 2013-04-10 02:55:26 UTC
Created attachment 77715 [details]
calc: Uses ZoomSlider
Comment 2 Joel Madero 2013-04-18 05:24:06 UTC
Interesting that we don't have this....confirmed! :) 

Thank you for reporting this enhancement request! I can confirm that this is a valid enhancement request on:
Version: 4.1.0.0.alpha0+Build ID: 6e3e6ef7257e93743a72719581ef6fe0016e58e
Date:   Thu Apr 11 15:24:38 2013 +0200 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm the enhancement request I am marking as:

New (confirmed)
Enhancement
High - just to be consistent it would be good to have this, also, I think it'll be quite easy to implement but I could be wrong

Keywords - 

Whiteboard Status - ProposedEasyHack

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 3 Marcos Souza 2013-05-21 12:54:37 UTC
Hi Thomas, I'm trying to improve Math.

Can you give some code pointers about it?
Comment 4 Commit Notification 2013-05-30 13:27:55 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20824c118f21c1aad2672630f1c2ed7eecf5d2dd

fdo#63351 make use of ZoomSlider in StarMath



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.